> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-dropconversion.md).

# DROP CONVERSION

### DROP CONVERSION

DROP CONVERSION — remove a conversion

### Synopsis

```

DROP CONVERSION [ IF EXISTS ] name [ CASCADE | RESTRICT ]
```

### Description

`DROP CONVERSION` removes a previously defined conversion. To be able to drop a conversion, you must own the conversion.

### Parameters

`IF EXISTS` : Do not throw an error if the conversion does not exist. A notice is issued in this case.

*`name`* : The name of the conversion. The conversion name can be schema-qualified.

`CASCADE`\
`RESTRICT` : These key words do not have any effect, since there are no dependencies on conversions.

### Examples

To drop the conversion named `myname`:

```

DROP CONVERSION myname;
```

### Compatibility

There is no `DROP CONVERSION` statement in the SQL standard, but a `DROP TRANSLATION` statement that goes along with the `CREATE TRANSLATION` statement that is similar to the `CREATE CONVERSION` statement in PostgreSQL.

### See Also

[ALTER CONVERSION](/reference/sql-commands/sql-alterconversion.md), [CREATE CONVERSION](/reference/sql-commands/sql-createconversion.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-dropconversion.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-dropconversion.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
